Robot Simulator of the Robotics Group for Self-Organization of Control: Barrel2Masses Class Reference

# Barrel2Masses Class Reference

A barrel-like robot with 2 internal masses, which can slide on their orthogonal axes. More...

`#include <barrel2masses.h>`

Inherits lpzrobots::Sphererobot3Masses.

Collaboration diagram for Barrel2Masses:
[legend]

List of all members.

## Public Member Functions
| Barrel2Masses (const OdeHandle &odeHandle, const OsgHandle &osgHandle, const Sphererobot3MassesConf &conf, const std::string &name, double transparency=0.5)
| Constructor.
virtual | ~Barrel2Masses ()
virtual int | getSensors (sensor *sensors, int sensornumber)
| Writes the sensor values to an array in the memory.
## Static Public Member Functions
static Sphererobot3MassesConf | getDefaultConf ()
| default configuration.
## Protected Member Functions
virtual void | create (const osg::Matrix &pose)
| The cylinder (main body) lies on the ground, that it is rotating about the z-axis.

## Detailed Description

A barrel-like robot with 2 internal masses, which can slide on their orthogonal axes.

It is the small brother of the Sphererobot3Masses. This robot was inspired by Julius Popp (http://sphericalrobots.com)

## Constructor & Destructor Documentation

Barrel2Masses | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | const Sphererobot3MassesConf & | conf,
|  | const std::string & | name,
|  | double | transparency = `0.5` |
| ) |  |  |

Constructor.

constructor

It is configured with the configuration object of Sphererobot3Masses. Just two of the 3 axis are used. The worldZaxissensor and irAxis3 has no meaning here.

~Barrel2Masses | ( |  | ) | `[virtual]`

## Member Function Documentation

void create | ( | const osg::Matrix & | pose | ) | `[protected, virtual]`

The cylinder (main body) lies on the ground, that it is rotating about the z-axis.

Reimplemented from Sphererobot3Masses.

static Sphererobot3MassesConf getDefaultConf | ( |  | ) | `[inline, static]`

default configuration.

It has no sensors. Use addSensor(new AxisOrientationSensor(ZProjectionXY) for example.

Reimplemented from Sphererobot3Masses.

int getSensors | ( | sensor * | sensors,
|  | int | sensornumber |
| ) |  |  | `[virtual]`

Writes the sensor values to an array in the memory.

Parameters:

  | sensor* | pointer to the array
  | sensornumber | length of the sensor array

Returns:
  number of actually written sensors

Reimplemented from Sphererobot3Masses.

The documentation for this class was generated from the following files:

- barrel2masses.h
- barrel2masses.cpp